Build #4 for happstack-foundation-0.3.1

[all reports]

Package happstack-foundation-0.3.1
Install PlanningFailed
Docs NotTried
Tests NotTried
Time submitted 2015-11-20 00:21:03.830548 UTC
Compiler ghc-7.10.2
OS linux
Arch x86_64
Dependencies
Flags none

Code Coverage

No Code Coverage was submitted for this report.

Build log

[view raw]

Resolving dependencies...
cabal: Could not resolve dependencies:
next goal: happstack-foundation (user goal)
rejecting: happstack-foundation-0.5.8, 0.5.6, 0.5.5, 0.5.4, 0.5.3, 0.5.2,
0.5.1, 0.4.0 (global constraint requires ==0.3.1)
trying: happstack-foundation-0.3.1
trying: base-4.8.1.0/installed-4f7... (dependency of
happstack-foundation-0.3.1)
trying: web-routes-th-0.22.3 (dependency of happstack-foundation-0.3.1)
trying: template-haskell-2.10.0.0/installed-90e... (dependency of
web-routes-th-0.22.3)
trying: pretty-1.1.2.0/installed-293... (dependency of
template-haskell-2.10.0.0/installed-90e...)
trying: web-routes-0.27.9 (dependency of happstack-foundation-0.3.1)
next goal: http-types (dependency of web-routes-0.27.9)
rejecting: http-types-0.9 (conflict: web-routes => http-types>=0.6 && <0.9)
trying: http-types-0.8.6
trying: case-insensitive-1.2.0.5 (dependency of http-types-0.8.6)
trying: hashable-1.2.3.3 (dependency of case-insensitive-1.2.0.5)
next goal: text (dependency of happstack-foundation-0.3.1)
rejecting: text-1.2.1.3, 1.2.1.2, 1.2.1.1, 1.2.1.0, 1.2.0.6, 1.2.0.5, 1.2.0.4,
1.2.0.3, 1.2.0.2, 1.2.0.0, 1.1.1.4, 1.1.1.3, 1.1.1.2, 1.1.1.1, 1.1.1.0,
1.1.0.1, 1.1.0.0, 1.0.0.1, 1.0.0.0 (conflict: happstack-foundation =>
text==0.11.*)
rejecting: text-0.11.3.1, 0.11.3.0, 0.11.2.3, 0.11.2.2, 0.11.2.1, 0.11.2.0,
0.11.1.13, 0.11.1.12, 0.11.1.11, 0.11.1.10, 0.11.1.9, 0.11.1.8, 0.11.1.7,
0.11.1.6, 0.11.1.5, 0.11.1.3, 0.11.1.2, 0.11.1.1 (conflict: pretty =>
deepseq==1.4.1.1/installed-8fb..., text => deepseq>=1.1.0.0 && <1.4)
rejecting: text-0.11.1.0 (conflict: base==4.8.1.0/installed-4f7..., text =>
base<0)
rejecting: text-0.11.0.8, 0.11.0.7 (conflict: base==4.8.1.0/installed-4f7...,
text => base<4.6)
rejecting: text-0.11.0.6, 0.11.0.5 (conflict: base==4.8.1.0/installed-4f7...,
text => base<4.4)
rejecting: text-0.11.0.4, 0.11.0.3, 0.11.0.2 (conflict: hashable =>
text>=0.11.0.5)
rejecting: text-0.11.0.1, 0.11.0.0 (conflict: http-types => text>=0.11.0.2)
rejecting: text-0.10.0.2, 0.10.0.1, 0.10.0.0, 0.9.1.0, 0.9.0.1, 0.9.0.0,
0.8.1.0, 0.8.0.0, 0.7.2.1, 0.7.1.0, 0.7.0.1, 0.7, 0.6, 0.5, 0.4, 0.3, 0.2, 0.1
(conflict: happstack-foundation => text==0.11.*)
Backjump limit reached (change with --max-backjumps).